Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Alan Third <[email-masked]>
Date: Sat, 9 Nov 2019 18:11:28 +0000

On Sat, Nov 09, 2019 at 07:58:19PM +0200, Eli Zaretskii wrote:
> > Date: Sat, 9 Nov 2019 17:22:41 +0000
> > From: Alan Third <[email-masked]>
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> > 
> > OK, so when there’s a mask there’s a different function called in
> > xterm.c to draw the image. I’m not sure what the deal with that is but
> > I had to modify it to use x_composite_image. We also need pretty much
> > every other patch that we’ve posted to this thread, so I’ve attached
> > something that works for me.
> 
> Can you explain why you moved the call to image_set_transform?

postprocess_image can create or modify the mask, which causes problems
if we’ve already changed the width and height of the image. The
simplest solution I could see was to move image_set_transform to after
it, as I don’t think there’s anything in that function that relies on
it having happened already.

-- 
Alan Third